Package net.shibboleth.idp.saml.profile.impl

# Class SAMLVerificationLookupStrategy

java.lang.Object
net.shibboleth.idp.saml.profile.impl.SAMLVerificationLookupStrategy

All Implemented Interfaces:
  `Function<RelyingPartyContext,Boolean>`, `ContextDataLookupFunction<RelyingPartyContext,Boolean>`

public class SAMLVerificationLookupStrategy extends Object implements ContextDataLookupFunction<RelyingPartyContext,Boolean>
A lookup strategy that returns true iff the `RelyingPartyContext` contains a reference to a `SAMLPeerEntityContext` or `SAMLSelfEntityContext` that contains a `SAMLMetadataContext` such that `SAMLMetadataContext.getEntityDescriptor()` is non-null.

If no metadata exists, the context is treated as "unverified".

## Constructor Summary

Constructors
Constructor
Description
`SAMLVerificationLookupStrategy()`

## Method Summary

Modifier and Type
Method
Description
`Boolean`
`apply(RelyingPartyContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### SAMLVerificationLookupStrategy

public SAMLVerificationLookupStrategy()

## Method Details

### apply

@Nullable public Boolean apply(@Nullable RelyingPartyContext input)

Specified by:
  `apply` in interface `Function<RelyingPartyContext,Boolean>`